Page Menu
Home
Phabricator
Search
Configure Global Search
Log In
Files
F3508742
D7384.id25005.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Award Token
Flag For Later
Size
911 B
Referenced Files
None
Subscribers
None
D7384.id25005.diff
View Options
diff --git a/scripts/comm-dev.sh b/scripts/comm-dev.sh
--- a/scripts/comm-dev.sh
+++ b/scripts/comm-dev.sh
@@ -41,8 +41,8 @@
"$0" services start
;;
start)
- nix run "$COMM_ROOT"#rabbitmq-up
nix run "$COMM_ROOT"#localstack-up
+ nix run "$COMM_ROOT"#rabbitmq-up
;;
stop)
log "Stopping services"
diff --git a/scripts/localstack_up.sh b/scripts/localstack_up.sh
--- a/scripts/localstack_up.sh
+++ b/scripts/localstack_up.sh
@@ -18,6 +18,12 @@
exit 1
fi
+if [[ $(docker info 2>/dev/null) =~ "Cannot connect to the Docker" ]]; then
+ echo "Localstack requires Docker to be running" >&2
+ echo "Please start Docker and try again" >&2
+ exit 1
+fi
+
# The 'localstack status' command will poll forever if you have a newer
# docker cli, so instead use docker ps + grep to determine running container
if ! docker ps | grep localstack &> /dev/null; then
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Sat, Dec 21, 11:47 PM (20 h, 26 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
2689027
Default Alt Text
D7384.id25005.diff (911 B)
Attached To
Mode
D7384: [Scripts] Ensure docker is running before starting localstack
Attached
Detach File
Event Timeline
Log In to Comment